<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumManufacturer extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_manufacturer', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('store_id')->comment('商户ID');
            $table->string('name',100)->default()->comment('名称');
            $table->string('illustrated_name',100)->default()->comment('电子画报名称');
            $table->string('avatar',255)->comment('头像链接');
            $table->string('phone',20)->default('')->comment('电话');
            $table->string('address',20)->default('')->comment('地址');
            $table->string('lng',20)->default('')->comment('经度');
            $table->string('lat',20)->default('')->comment('纬度');
            $table->longText('background_pic')->default('')->comment('背景图片');
            $table->longText('advertising_pic')->default('')->comment('广告图片');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_manufacturer');
    }
}
